NSRNOTESV(8)

NAME
nsrnotesv - NetWorker BusinesSuite Module for Lotus Notes backup command

SYNOPSIS

nsrnotesv
    [ -s server ][ -b pool ][ -g group ][ -I ] [ -C ] [ -D debug_level ] [ -Z ] [ -d temporary_directory ] [ -E exclude_list_file ] { -R|-S|-T| filename [ filename [ ... ] ] }

DESCRIPTION
The nsrnotesv command provides effective backups of both online and offline Notes database and system files. This is important as database files, such as the Notes public mailbox, may rarely be closed. Lotus files with extensions .nsf , .ntf, .njf, .ncf, .box, .id, .dsk, .dic and notes.ini are grabbed by nsrnotesv for backup.

nsrnotesv offers many backup options, such as compression and encryption which allow the users to identify the scope and type of backup to perform.

To perform scheduled backups use the options identified below, within the backup script, nsrnote to specify the backup requirements for each client's system. The default setting is SET myArgs=-R, which will perform a backup of all notes data residing in the notes recommended directory. The specification of an incremental or full is taken from the client's resource on the NetWorker server.

The nsrnote backup script is installed on each client system and coordinates scheduled backup processes between the NetWorker server and the BusinesSuite Module for Lotus Notes. nsrnote calls upon nsrnotesv to perform backup of Notes data. Use the nsrnotesv command on a Notes/Domino server or client to perform manual backups of a system.

Backup processes can be monitored from either the NetWorker Administrator or the BusinesSuite Module for Lotus Notes. Upon backup completion NetWorker provides several reports: NetWorker messages log files, NetWorker administration program, and in the NetWorker server's bootstrap file.

OPTIONS

-b  Specify a particular destination pool for a save set.

-C Specify data compression during backup before the data is moved over the network
     or written to tape.

Compressing data may speed up the backup process, as long as the Notes/Domino database system is able to send data to the NetWorker server fast enough to keep the tape drive streaming. Also, data compression will increase CPU usage but will reduce the amount of data sent to the NetWorker server.

-d  Specify the temporary directory, to hold copies of open files for backup. If this path is not specified the default /nsr/tmp is used.

-D debug_level
    Specify the level of debugging to use, where level 9 is the highest.

-E exclude_list_file
    Full path of file containing list of filenames or regular expressions to be excluded. Each entry in the list should be seperated by newline.

-g  Specify a backup group to be used by savegrp to denote the group used by the NetWorker server to select a specific media pool.

-I  Specify this option to take an incremental backup.

-R  Specifies that the database files being backed up reside in the Lotus Notes recommended directory. Lotus Notes recommended directory is the directory where the file notes.ini is present. nsrnotesv identifies this directory by going through each component in the PATH environment variable and looking for the notes.ini file in that path component.

-s server
    Specify the NetWorker server to which a client's data is backed up.

-S  Specifies that the database files being backed up reside outside the recommended Lotus Notes directory.

-T  Specifies that the database files being backed up may reside within or outside of the recommended Lotus Notes directory.

-Z  Specify data encryption during backup.

EXAMPLE
An example of a backup command for backing up notes databases residing in a client's accounting directory to the default NetWorker server, mars:

nsrnotesv -s mars -R

An example of a backup command to perform a backup with compression and encryption of a notes data file to the NetWorker server neptune:

nsrnotesv -s neptune -g mygroup -C -Z /path/myfilename

SEE ALSO
nsrnotesrc(8)

DIAGNOSTICS

" Scheduled backups are not functional"
    The value for LD_LIBRARY_PATH(for solaris)/LIBPATH(for aix) variable specified in the nsrnote script does not point to the file libnotes.so for Solaris and libnotes_r.a for aix. Another reason could be that the name of the Backup Command specified, in the client's resource on the NetWorker server, is not the same as the name of the backup script nsrnote.